/*
** Copyright (C) 1999 Eleftherios Gkioulekas <lf@amath.washington.edu>
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

/* 
 * Assume that int has been defined to something like `double' 
 * Define aliases for all the declarations
 */

/* The data types */
#define mu_array mu_ ## int ## _array
#define mu_matrix mu_ ## int ## _matrix
#define mu_cube mu_ ## int ## _cube

/* Methods for 1d arrays */
#define mu_array_initialize mu_ ## int ## _array_initialize
#define mu_array_alloc mu_ ## int ## _array_alloc
#define mu_array_alloc_from_buffer mu_ ## int ## _array_alloc_from_buffer
#define mu_array_alias mu_ ## int ## _array_alias
#define mu_array_free mu_ ## int ## _array_free
#define mu_array_realloc mu_ ## int ## _array_realloc
#define mu_array_realloc_from_buffer mu_ ## int ## _array_realloc_from_buffer
#define mu_array_realias mu_ ## int ## _array_realias
#define mu_array_contiguous_p mu_ ## int ## _array_contiguous_p
#define mu_array_address mu_ ## int ## _array_address
#define mu_array_get mu_ ## int ## _array_get
#define mu_array_set mu_ ## int ## _array_set

/* Methods for 2d matrices */
#define mu_matrix_initialize mu_ ## int ## _matrix_initialize
#define mu_matrix_alloc mu_ ## int ## _matrix_alloc
#define mu_matrix_alloc_from_buffer mu_ ## int ## _matrix_alloc_from_buffer
#define mu_matrix_alias mu_ ## int ## _matrix_alias
#define mu_matrix_free mu_ ## int ## _matrix_free
#define mu_matrix_realloc mu_ ## int ## _matrix_realloc
#define mu_matrix_realloc_from_buffer mu_ ## int ## _matrix_realloc_from_buffer
#define mu_matrix_realias mu_## int ## _matrix_realias
#define mu_matrix_contiguous_p mu_ ## int ## _matrix_contiguous_p
#define mu_matrix_address mu_ ## int ## _matrix_address
#define mu_matrix_get mu_ ## int ## _matrix_get
#define mu_matrix_set mu_ ## int ## _matrix_set
#define mu_matrix_transpose_contiguous_p mu_ ## int ## _matrix_transpose_contiguous_p
#define mu_matrix_transpose mu_ ## int ## _matrix_transpose

/* Methods for 3d cubes */
#define mu_cube_initialize mu_ ## int ## _cube_initialize
#define mu_cube_alloc mu_ ## int ## _cube_alloc
#define mu_cube_alloc_from_buffer mu_ ## int ## _cube_alloc_from_buffer
#define mu_cube_alias mu_ ## int ## _cube_alias
#define mu_cube_free mu_ ## int ## _cube_free
#define mu_cube_realloc mu_ ## int ## _cube_realloc
#define mu_cube_realloc_from_buffer mu_ ## int ## _cube_realloc_from_buffer
#define mu_cube_realias mu_ ## int ## _cube_realias
#define mu_cube_contiguous_p mu_ ## int ## _cube_contiguous_p
#define mu_cube_address mu_ ## int ## _cube_address
#define mu_cube_get mu_ ## int ## _cube_get
#define mu_cube_set mu_ ## int ## _cube_set

/* Helper de-allocators */
#define mu_array_free_many mu_ ## int ## _array_free_many
#define mu_matrix_free_many mu_ ## int ## _matrix_free_many
#define mu_cube_free_many mu_ ## int ## _cube_free_many

/* Derived arrays, matrices, cubes */

/* Nulls */
#define mu_array_null mu_ ## int ## _array_null
#define mu_matrix_null mu_ ## int ## _matrix_null
#define mu_cube_null mu_ ## int ## _cube_null

/* Subsidiary */
#define mu_array_sub mu_ ## int ## _array_sub
#define mu_matrix_sub mu_ ## int ## _matrix_sub
#define mu_cube_sub mu_ ## int ## _cube_sub

/* Interlaces */
#define mu_array_interlaced mu_ ## int ## _array_interlaced
#define mu_matrix_interlaced mu_ ## int ## _matrix_interlaced
#define mu_cube_interlaced mu_ ## int ## _cube_interlaced

/* Slicing */
#define mu_matrix_to_array mu_ ## int ## _matrix_to_array
#define mu_cube_to_array mu_ ## int ## _cube_to_array
#define mu_cube_to_matrix mu_ ## int ## _cube_to_matrix

/* Smart array I/O */

/* Writing */
#define mu_array_write mu_ ## int ## _array_write
#define mu_matrix_write mu_ ## int ## _matrix_write
#define mu_cube_write mu_ ## int ## _cube_write

/* Reading */
#define mu_array_read mu_ ## int ## _array_read
#define mu_matrix_read mu_ ## int ## _matrix_read
#define mu_cube_read mu_ ## int ## _cube_read










