/*
** Test the EOF code
** Copyright (C) 1999 Eleftherios Gkioulekas <lf@amath.washington.edu>
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include <stdio.h>
#if STDC_HEADERS
# include <stdlib.h>
#endif
#if HAVE_MALLOC_H
# include <malloc.h>
#endif
#include <mu.h>
#include <assert.h>

void test_eof (void)
{
  char *filename = "test4_output.dat";
  struct mu_file *file;
  double a;
  int i;

  /* Create the file */
  file = mu_file_open (filename, mu_file_for_writing);
  loop (i,1,100) 
    {
      a = (double) i;
      mu_file_output (file, "%d", a);
    }
  mu_file_close (file);

  /* Open the file and read it, without knowledge of where it ends */
  file = mu_file_open (filename, mu_file_for_reading);
  i = 0;
 next_element:
  mu_file_input (file, "%d", &a);
  i++;
  if (mu_file_eof_p (file) == 0)
    {
      assert (((int) a) == i);
      goto next_element;
    }
  mu_file_close (file);
  mu_delete (filename);
}

int main ()
{
  test_eof ();
}
