/*
** Copyright (C) 1999 Eleftherios Gkioulekas <lf@amath.washington.edu>
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#if HAVE_CONFIG_H
# include <config.h>
#endif
#include <stdio.h>
#if STDC_HEADERS
# include <stdlib.h>
#endif
#include <mu.h>
#include <setjmp.h>

jmp_buf jmp1, jmp2;
int counter = 0;

void cause_exception (void)
{
  if (setjmp (jmp2))
    {
      counter++;
      mu_error_continue_next_jump ();
    }
  else
    {
      mu_error_push_jump (jmp2);
      mu_endian_from_string ("Major barfing coming up Dude");
      mu_error_pop_jump ();
    }
}

void test_exception_handling (void)
{
  if (setjmp (jmp1))
    {
      /* If an exception happens, increase the counter and return */
      counter++;
      return;
    }
  else
    {
      mu_error_push_jump (jmp1);
      cause_exception ();
      mu_error_pop_jump ();
    }
}

void test_normal_operation (void)
{
  if (setjmp (jmp1))
    {
      exit (1);
    }
  else
    {
      mu_error_push_jump (jmp2);
      mu_endian_from_string ("little");
      mu_error_pop_jump ();
    }
}

int main ()
{
  mu_set_error_stream_by_filename ("ERRORLOG");
  test_exception_handling ();
  assert (counter == 2);
  test_normal_operation ();
  mu_delete ("ERRORLOG"); 
  exit (0);
}

